Kenvl {spatial} | R Documentation

## Compute Envelope and Average of Simulations of K-fns

### Description

Computes envelope (upper and lower limits) and average of simulations of K-fns

### Usage

    Kenvl(fs, nsim, ...)

### Arguments

`fs` | full scale for K-fn
`nsim` | number of simulations
`...` | arguments to produce one simulation

### Value

list with components

`x` | distances
`lower` | min of K-fns
`upper` | max of K-fns
`aver` | average of K-fns

### References

Ripley, B. D. (1981) Spatial Statistics. Wiley.

Venables, W. N. and Ripley, B. D. (2002) Modern Applied Statistics with S. Fourth edition. Springer.

### See Also

`Kfn`, `Kaver`

### Examples

    towns <- ppinit("towns.dat")
    par(pty="s")
    plot(Kfn(towns, 40), type="b")
    plot(Kfn(towns, 10), type="b", xlab="distance", ylab="L(t)")
    for(i in 1:10) lines(Kfn(Psim(69), 10))
    lims <- Kenvl(10,100,Psim(69))
    lines(lims$x,lims$l, lty=2, col="green")
    lines(lims$x,lims$u, lty=2, col="green")
    lines(Kaver(10,25,Strauss(69,0.5,3.5)), col="red")

[Package spatial version 7.2-23 Index]